> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extractor.live/llms.txt
> Use this file to discover all available pages before exploring further.

# list of the operation params for the network



## OpenAPI

````yaml /openapi.json get /api/v1/network/{network}/params/operation
openapi: 3.0.3
info:
  title: Extractor Project (dev)
  version: 0.0.649
servers: []
security: []
paths:
  /api/v1/network/{network}/params/operation:
    get:
      tags:
        - Network Route
      summary: list of the operation params for the network
      parameters:
        - name: network
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/ChainUid'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  $ref: '#/components/schemas/ScriptParam'
      security:
        - SecurityScheme: []
components:
  schemas:
    ChainUid:
      enum:
        - arbitrum
        - bsc
        - bsc_testnet
        - ethereum
        - linea
        - optimism
        - base
        - base_sepolia
        - gnosis
        - fantom
        - polygon
        - polygon_amoy
        - blast
        - zksync
        - scroll
        - avalanche
        - avalanche_fuji
        - telos
        - sepolia
        - holesky
        - ethereum_sepolia
        - ethereum_holesky
        - tron
        - zeta
        - somnia
        - adi
        - anvil
        - icp
        - vechain
        - stellar
        - bitcoin
        - solana
      type: string
    ScriptParam:
      type: object
      properties:
        name:
          type: string
        displayName:
          type: string
        type:
          $ref: '#/components/schemas/ScriptParamType'
    ScriptParamType:
      enum:
        - BOOLEAN
        - NUMBER
        - ADDRESS
        - STRING
        - STRING_ARRAY
      type: string
  securitySchemes:
    SecurityScheme:
      type: http
      description: Authentication
      scheme: bearer
      bearerFormat: JWT

````